import { SessionService } from './session.service';
import { WebStorageService } from '@ng2plus/web-storage';
export declare class PreferencesService {
    private webStorageService;
    private sessionService;
    private excluseMachinePreferences;
    constructor(webStorageService: WebStorageService, sessionService: SessionService);
    putPreference(key: string, value: any): void;
    getPreference(key: string): any;
    removePreference(key: string): void;
    removePreferenceStartWith(startWith: string): void;
    getPreferencesFromMemory(): any;
    setupPreferences(loginData: any): void;
    private loadPreferencesInMemory();
    private preferenceMustBeLoadedInMemory(key);
    private convertPreferencesToAngular2();
}
